
QGIS Application - Bug report #7704

Only one geometry type can be loaded from tables with multiple geometry columns

2013-04-25 06:25 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16615

Description

When QGIS opens SQLite database (FDO style) that contains table with multiple geometry columns it correctly detects such layers. But

only one layer can be loaded. For example try to open polygon layer "service" from attached database.

History

#1 - 2013-04-25 06:25 AM - Alexander Bruy

Working on patch now

#2 - 2013-04-26 01:23 AM - Alexander Bruy

- Subject changed from Only one geopmetry type can be loaded from tables with multiple geometry columns to Only one geometry type can be loaded 

from tables with multiple geometry columns

#3 - 2013-04-26 01:34 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

Submitted pull request https://github.com/qgis/Quantum-GIS/pull/559

#4 - 2013-06-30 07:51 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in master

Files

geodata2.sqlite 110 KB 2013-04-25 Alexander Bruy
